#include <cstdlib>
#include <cmath>
#include <iostream>
#include <stdio.h>
//#define CPP_Style 1
using namespace std ;
/*
   (a v^4 + b v^3 + c v^2 + d v) * (m / v) = t
   a v^3 + b v^2 + c v + d = t/m
 */
int main(int argc, char *argv[]) {
  double a, b, c, d, m, t ;
  #ifdef CPP_Style
    cout.setf(ios::fixed,ios::floatfield) ;
    cout.precision(2) ;
  #endif
  while(1){
           cin >> a >> b >> c >> d >> m >> t ;
           if (cin.fail())
           break ;
           double high = (t/m-d)/c ;
           double low = 0 ;
           //  cout<<"low:"<<low<<"   high:"<<high<<endl;
           for(int i=0; (i<100) && (abs(low-high)>=1e-6); i++){
               double v = (high + low) / 2.0 ;
               double desc = a*v*v*v+b*v*v+c*v+d-t/m ;
               if(desc < 0){
                  low = v ;
               } else {
                       high = v ;
                 }
     // cout<<"i)"<<i<<"   low:"<<low<<"   high:"<<high<<endl;
           }
    double test = 100 * low ;
    test -= (int)test ;
    if (test < 1e-6 || test > 1-1e-6) {
       cerr << "Failed precision guarantee" << endl ;
       exit(10) ;
    }
    low -= 0.005 ; // change round to truncate
    #ifdef CPP_Style
       cout << low << endl ;
    #else
       printf("%.2lf\n", low);
    #endif
  }
}
