#include <iostream>
#include <algorithm>
#include <cstdio>

using namespace std;

typedef long long LL;

const int P = 1000000007;

const int MAXN = 200000;

LL x[MAXN];
LL y[MAXN];
LL c[MAXN];

LL solve(LL *x, int n) {
	sort(x, x + n);
	int m = 0;
	for (int i = 0; i < n; ++i) {
		if (!i || x[i] != x[i - 1]) {
			x[m] = x[i];
			c[m++] = 0;
		}
		++c[m - 1];
	}
	LL result = 0;
	LL d = c[0];
	LL e = x[0] * c[0] % P;
	for (int i = 1; i < m; ++i) {
		result = (result + d * x[i] % P * c[i] % P - e * c[i] % P) % P;
		d += c[i];
		e = (e + x[i] * c[i]) % P;
	}
	return result;
}

int main() {
//	freopen("F.in", "r", stdin);
//	freopen("F.out", "w", stdout);

	int n;
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> x[i] >> y[i];
	}
	LL result = (solve(x, n) + solve(y, n)) % P;
	if (result < 0) result += P;
	cout << result << endl;
	return 0;
}
