#include <bits/stdc++.h>

using namespace std;

const int N = 1<<20;
const int MOD = (1e9);

int n,curr;
vector < pair < int, int > > v[N];
int dist[N];
bool used[N];
int ans;

void dfs(int node) {
    used[node]=true;
    if(node>curr) {
        ans+=dist[node];
        ans%=MOD;
    }

    for(int i=0;i<(int)(v[node].size());i++) if(!used[v[node][i].first]) {
        dist[v[node][i].first]=dist[node]+v[node][i].second;
        dist[v[node][i].first]%=MOD;
        dfs(v[node][i].first);
    }
}

int main() {
    int i,j,x,y,z;

    scanf("%d", &n);
    for(i=1;i<n;i++) {
        scanf("%d %d %d", &x, &y, &z);
        z%=MOD;
        v[x].push_back(make_pair(y,z));
        v[y].push_back(make_pair(x,z));
    }

    for(i=1;i<=n;i++) {
        curr=i;
        for(j=1;j<=n;j++) {
            used[j]=false;
            dist[j]=0;
        }
        dfs(i);
    }

    printf("%d\n", ans);
}
