//Task: jump
//Author: Kinka Kirilowa-Lupanowa

#include <iostream>
#include <math.h>
# include <iomanip>
using namespace std;

bool pnts(double x1, double y1, double x2, double y2, double x0, double y0, double r, double &xp1, double &yp1, double &xp2, double &yp2)
{ double a,b,c,d,t1,t2; 
  bool result, intersect = true;

  a = x2*x2-2*x2*x1+x1*x1+y2*y2-2*y2*y1+y1*y1;
  b = 2*(x1*x2-x1*x1-x0*x2+x0*x1)+
      2*(y1*y2-y1*y1-y0*y2+y0*y1);
  c = x1*x1-2*x1*x0+x0*x0+y1*y1-2*y1*y0+y0*y0-r*r;

 d=b*b-4*a*c;
 intersect = (d >= 0);
 if (!intersect) result = false;
 else   
   {t1 = (-b+sqrt(d))/(2*a);
    t2 = (-b-sqrt(d))/(2*a);
    xp1 = x1*(1-t1)+x2*t1;
    yp1 = y1*(1-t1)+y2*t1;
    xp2 = x1*(1-t2)+x2*t2;
    yp2 = y1*(1-t2)+y2*t2;

    if (min(x1,x2) <= min(xp1,xp2) &&
        max(x1,x2) >= max(xp1,xp2) &&
        min(y1,y2) <= min(yp1,yp2) &&
        max(y1,y2) >= max(yp1,yp2))  result = true;
    else result = false;
   }
   
  return result; 
}   

int main()
{  double x1,y1,x2,y2,x0,y0,r,xt1,yt1,xt2,yt2, s=0; 
   int  n;
   cin>>x1>>y1>>x2>>y2;
   cin>>n;
   for (int i = 1; i<=n; i++) 
       { cin>>x0>>y0>>r;
         if (pnts(x1,y1,x2,y2,x0,y0,r,xt1,yt1,xt2,yt2)) 
               s += sqrt((xt1-xt2)*(xt1-xt2)+(yt1-yt2)*(yt1-yt2)); 
       }
  cout<<fixed<<setprecision(2)<<s<<endl;
return 0;
}
 
 
